<?php
include "../ver_sessao.php";
include "../conecta.php";


function exclui_centrocusto(){
	
	remover('centrocusto',$_POST[id]);
	index();
	exit;
	
}

function modifica_centrocusto(){
	
	global $a_mod;
	$a_mod = carregar('centrocusto',$_POST[id]);
	layout_centrocusto();
	
}

function cadastra_centrocusto(){
	
	$campos = array(cent_tx_nome,cent_tx_status);
	$valores= array($_POST[nome],ativo);
	
	if( !$_POST[id] )
		inserir('centrocusto',$campos,$valores);
	else
		atualizar('centrocusto',$campos,$valores,$_POST[id]);
		
	index();
	exit;
	
}


function layout_centrocusto(){
	
	global $a_mod;
	
	cabecalho('Cadastro de Centros de Custos',2);
	
	//CAMPOS
	$nome = cactux::campo('Centro de Custo:','nome',$a_mod[cent_tx_nome],8);
	
	//BOTOES
	$gravar = cactux::botao_submit('Gravar',2,'cadastra_centrocusto','id',$_POST[id]);
	$voltar = cactux::botao('Voltar',2,'voltar');
	$status = cactux::msg_status();
	//-----------

	cactux::abre_form();
	cactux::abre_fieldset('Cadastro de Centros de Custos');
	cactux::linha_fieldset($nome);
	cactux::linha_fieldset($voltar,$gravar,$status);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	cactux::acao_botao('voltar','index');
	rodape();
	
}




function layout_imprimir(){
	
	cabecaRelatorio('Cadastro de Centros de Custos',2);

	if($_POST[busca_cod]!='')
		$extra .= " AND cent_nb_id = '$_POST[busca_cod]'";
	if($_POST[busca_centrocusto]!='')
		$extra .= " AND cent_tx_nome LIKE '%$_POST[busca_centrocusto]%'";

	cactux::abre_form('');
	
	$c[]=cactux::texto('Código:',$_POST['busca_cod'],1);
	$c[]=cactux::texto('Nome:',$_POST['busca_centrocusto'],5);
	
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3]);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	echo"<br>";
	
	$sql = selecionar('centrocusto','cent_tx_status',"!inativo"," $extra ORDER BY cent_tx_nome");
	
	$cabecalho[] = array('COD','NOME');
	$cabecalho[] = 'c,e';
	$cabecalho[] = '6%,';
	
	while( $a = carrega_array($sql) ){
		$valores[] = array($a[cent_nb_id],$a[cent_tx_nome]);
	}
	
	grid::gerar($cabecalho,$valores);
	
	rodape();
	
}


function index(){
	global $CONFIGURA;

	if($_POST[busca_cod]!='')
		$extra .= " AND cent_nb_id = '$_POST[busca_cod]'";
	if($_POST[busca_centrocusto]!='')
		$extra .= " AND cent_tx_nome LIKE '%$_POST[busca_centrocusto]%'";

	
	$sql = selecionar('centrocusto','cent_tx_status',"!inativo"," $extra ORDER BY cent_tx_nome",1);
	$BUSCA = grid::gerar_paginacao($sql);

	cabecalho('Cadastro de Centros de Custos',2);
	
	//CAMPOS
	$cod = cactux::campo('Código:','busca_cod',$_POST[busca_cod],2);
	$nome = cactux::campo('Nome:','busca_centrocusto',$_POST[busca_centrocusto],8);
	//------------
	
	//BOTOES
	$buscar = cactux::botao_submit_busca('Buscar',2,'index');
	$inserir = cactux::botao('Inserir',2,'inserir');
	$imprimir = cactux::botao('Imprimir',2,'imprimir');
	$status = cactux::msg_status(10);
	
	//-----------
	
	cactux::abre_form();
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($cod,$nome);

	cactux::linha_fieldset($buscar,$inserir,$imprimir);
	cactux::linha_fieldset($status);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	cactux::acao_botao('inserir','layout_centrocusto');
	cactux::acao_botao('imprimir','layout_imprimir','','','','',' target=_blank');
	
	$cabecalho[] = array('COD','NOME','','');
	$cabecalho[] = 'c,e,e';
	$cabecalho[] = '6%,,2%,2%';
	
	while( $a = carrega_array($BUSCA[0]) ){

		if ( $a[cent_nb_id] != 1 ) {
			$modificar = ".icone_modificar($a[0],modifica_centrocusto)";
			$excluir = ".icone_excluir($a[0],exclui_centrocusto)";
		}
		
		$valores[] = array($a[cent_nb_id],$a[cent_tx_nome],$modificar,$excluir);

		unset($modificar,$excluir);		
	}

	
	grid::gerar($cabecalho,$valores);
	grid::paginar($BUSCA);
	
	rodape();
	
}

controle();
?>